#include "CS_DiscoBallLight.h"

CS_DiscoBallLight::CS_DiscoBallLight()
{
	//ÀàÐÍ
	type = 3;
	light.usingLight = true;
	ani.png = L"light";
	ani.sprite_index = L"r2x2";
}

void CS_DiscoBallLight::Step()
{
}

void CS_DiscoBallLight::SetRadius(int r)
{
	switch (r)
	{
	default:
	case 1:
		ani.sprite_index = L"r1x1";
		break;
	case 2:
		ani.sprite_index = L"r2x2";
		break;
	case 3:
		ani.sprite_index = L"r3x3";
		break;
	case 4:
		ani.sprite_index = L"r4x4";
		break;
	case 5:
		ani.sprite_index = L"r5x5";
		break;
	case 6:
		ani.sprite_index = L"r6x6";
		break;
	case 7:
		ani.sprite_index = L"r7x7";
		break;
	}
}